javax.xml.registry

## Interface DeclarativeQueryManager

- All Superinterfaces:
    QueryManager

      public interface DeclarativeQueryManager
      extends QueryManager

  This interface provides the ability to execute declarative queries (e.g. SQL)
  Author:
    Farrukh S. Najmi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `createQuery(int queryType, String queryString)` Creates a Query object given a queryType (for example, QUERY_TYPE_SQL) and a String that represents a query in the syntax appropriate for queryType.
    `BulkResponse` | `executeQuery(Query query)` Executes a query as specified by query parameter.

    - ### Methods inherited from interface javax.xml.registry.QueryManager

      `getRegistryObject, getRegistryObject, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryService`

- - ### Method Detail

    - #### createQuery

          Query createQuery(int queryType,
                          String queryString)
                            throws InvalidRequestException,
                                   JAXRException

      Creates a Query object given a queryType (for example, QUERY_TYPE_SQL) and a String that represents a query in the syntax appropriate for queryType.

      Capability Level: 1
      Parameters:
        `queryType` - the type of query
        `queryString` - the query in its string representation
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
        `InvalidRequestException` - If the JAXR provider validates query syntax (optional) and the sqlQuery is not valid
      See Also:
        `Query.QUERY_TYPE_SQL`, `Query.QUERY_TYPE_XQUERY`, `Query.QUERY_TYPE_EBXML_FILTER_QUERY`

    - #### executeQuery

          BulkResponse executeQuery(Query query)
                                    throws JAXRException

      Executes a query as specified by query parameter.

      Capability Level: 1
      Parameters:
        `query` - the query to be executed
      Returns:
        the BulkResponse that is the result of the query
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.